Bug 36500 - no rpcuser crated during install
no rpcuser crated during install
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-18 11:27 EDT by Gerald Teschl
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-25 17:03:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-04-18 11:27:30 EDT
During install there is no rpcuser crated, hence locking is broken.
Sniplet from /tmp/install:

Installing portmap.
Installing nfs-utils.
user rpcuser does not exist - using root
 
Installing pump.

According to the spec file the rpcuser should be created be the preinstall
script, but
this does not happen for some reason.
Comment 1 Gerald Teschl 2001-04-18 12:13:31 EDT
Just located the problem. The preinstall script will fail if the group "rpcuser"
already
exists which was the case on my system. I recommend:

gorupadd -f rpcusser && useradd -n .....
Comment 2 Bob Matthews 2001-07-26 11:36:14 EDT
> The preinstall script will fail if the group "rpcuser" already exists

The group "rpcuser" exists on my system, but I do not have any trouble
installing the nfs-utils rpm.
Comment 3 Gerald Teschl 2001-07-29 17:19:32 EDT
Does the user get created? If not, locking will be broken!
Comment 4 Bob Matthews 2001-07-30 10:12:20 EDT
> Does the user get created? If not, locking will be broken!

Yes.  If the user does not exist, it is created.  If the user already exists, no
problems are encountered.

Note You need to log in before you can comment on or make changes to this bug.